import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const avicultureGetDirectBuys = createAsyncThunk(
  "AVICULTURE_GET_DIRECT_BUYS",
  async (key, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      "kill_request/?poultry_key=" + key
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
